org.apache.lucene.analysis.de

## Class GermanStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.de.GermanStemFilter

-     public final class GermanStemFilter
      extends org.apache.lucene.analysis.TokenFilter

  A `TokenFilter` that stems German words.

  It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a `GermanStemmer`).

  Version:
    $Id: GermanStemFilter.java 805400 2009-08-18 12:55:26Z rmuir $

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GermanStemFilter(org.apache.lucene.analysis.TokenStream in)`
    `GermanStemFilter(org.apache.lucene.analysis.TokenStream in, java.util.Set exclusionSet)` Builds a GermanStemFilter that uses an exclusion table.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()`
    `void` | `setExclusionSet(java.util.Set exclusionSet)` Set an alternative exclusion list for this filter.
    `void` | `setStemmer(GermanStemmer stemmer)` Set a alternative/custom `GermanStemmer` for this filter.

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GermanStemFilter

          public GermanStemFilter(org.apache.lucene.analysis.TokenStream in)

    - #### GermanStemFilter

          public GermanStemFilter(org.apache.lucene.analysis.TokenStream in,
                                  java.util.Set exclusionSet)

      Builds a GermanStemFilter that uses an exclusion table.

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws java.io.IOException

      Overrides:
        `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
      Returns:
        Returns true for next token in the stream, or false at EOS
      Throws:
        `java.io.IOException`

    - #### setStemmer

          public void setStemmer(GermanStemmer stemmer)

      Set a alternative/custom `GermanStemmer` for this filter.

    - #### setExclusionSet

          public void setExclusionSet(java.util.Set exclusionSet)

      Set an alternative exclusion list for this filter.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.